import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Disco extends World
{
    private GreenfootSound soundtrack = new GreenfootSound("soundtrack_" + Greenfoot.getRandomNumber(4) + ".mp3");
    public Disco()
    {    
        super(950, 700, 1); 
        // Bilder: 0 bis 6 sind Frauen, 7 bis 12 sind Männer
        Besucher sandy = new Besucher("Sandy", "w", "partygast_0.png", false);
        this.addObject(sandy, 190, 110);
        Besucher freddy = new Besucher("Olaf", "m", "partygast_10.png", false);
        this.addObject(freddy, 750, 110);
        Besucher lydia = new Besucher("Lydia", "w", "partygast_2.png", false);
        this.addObject(lydia, 240, 370); 
        Besucher soeren = new Besucher("Søren", "m", "partygast_7.png", false);
        this.addObject(soeren, 280, 370); 
        Besucher ludger = new Besucher("Ludger", "m", "partygast_8.png", false);
        this.addObject(ludger, 730, 370); 
        Besucher rudi = new Besucher("Armin", "m", "partygast_9.png", true);
        this.addObject(rudi, 690, 370); 
        Besucher ujwal = new Besucher("Ujwal", "m", "partygast_11.png", false);
        this.addObject(ujwal, 640, 370);   
        Besucher heather = new Besucher("Heather", "w", "partygast_1.png", false);
        this.addObject(heather, 170, 590);         
        Besucher oksana = new Besucher("Oksana", "w", "partygast_3.png", false);
        this.addObject(oksana, 289, 575);  
        Besucher renate = new Besucher("Renate", "w", "partygast_4.png", true);
        this.addObject(renate, 400, 580); 
        Besucher juan = new Besucher("Juan", "m", "partygast_12.png", false);
        this.addObject(juan, 420, 583); 

        Agent james = new Agent();
        this.addObject(james, 750, 650);

    }

    public void started()
    {        
        this.soundtrack.playLoop(); 

    }

    public void stopped()
    {
        this.soundtrack.stop();
    }
}