import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Besucher extends Actor
{
    // Attribute
    private int timer = 0;
    private String name;
    private String geschlecht;
    private boolean tanztTotalAusgeflippt;
    // Konstruktor
    public Besucher(String pName, String pGeschlecht, String pDateiname, boolean pTanztTotalAusgeflippt)
    {
        this.setImage(pDateiname);
        this.name = pName;
        this.geschlecht = pGeschlecht;
        this.tanztTotalAusgeflippt = pTanztTotalAusgeflippt;
        this.getImage().scale(this.getImage().getWidth()/2, this.getImage().getHeight()/2);
    }
    // Methoden
    public void act() 
    {
        this.tanzen();
    }

    public String getName()
    {
        return this.name;
    }

    public boolean getTanztTotalAusgeflippt()
    {
        return this.tanztTotalAusgeflippt;
    }

    public double berechnePreisFuerXGetraenke(int anzahlGetraenke)
    {
        double gesamtpreis = anzahlGetraenke * 3.5; // ein Getränk kostet 3.50 Euro
        return gesamtpreis;
    }
    public void bildVergroessern()
    {
        this.getImage().scale(this.getImage().getWidth() * 2,this.getImage().getHeight() * 2);
    }
    public void bildVerkleinern()
    {
        this.getImage().scale(this.getImage().getWidth() / 2,this.getImage().getHeight() / 2);
    }
    public void tanzen()
    {
        this.timer = this.timer + 1;
        if(this.timer == 10)
        {
            this.turn(2);
        }
        if(this.timer == 20)
        {
            this.turn(-4);
        }
        if(this.timer == 30)
        {
            this.turn(2);
            timer = 0;
        }
        if(this.tanztTotalAusgeflippt == true)
        {
            this.move(Greenfoot.getRandomNumber(11) - 5);
        }
    }

}    